package com.cool.store.enums;

import java.text.MessageFormat;

/**
 * @Author suzhuhong
 * @Date 2023/12/11 13:56
 * @Version 1.0
 */
public enum SignUpStatusEnum {

    Sign_UP_FAIL_1("会销结束","你报名的展会已结束 请确认！"),
    Sign_UP_FAIL_2("不符合报名条件","该线索已录入系统但不符合报名要求，当前处于【{0}：{1}】状态，建议客户经理以当前状态正常推进，勿占用展会名额。"),
    Sign_UP_FAIL_3("报名同一个会销组内会销","线索已报名本批次会销组中的“{0}”场次，切勿重复录入"),
    Sign_UP_FAIL_4("不符合报名条件—黑名单","该线索已录入系统但不符合报名要求，当前处于【黑名单】状态，建议客户经理以当前状态正常推进，勿占用展会名额。");

    private String signUpTitle;
    private String signUpFailMsg;


    SignUpStatusEnum(String signUpTitle, String signUpFailMsg) {
        this.signUpTitle = signUpTitle;
        this.signUpFailMsg = signUpFailMsg;
    }

    public String getSignUpTitle() {
        return signUpTitle;
    }

    public String getSignUpFailMsg() {
        return signUpFailMsg;
    }

    public static String getSignUpFailMsg(SignUpStatusEnum signUpStatusEnum,Object... objects) {
        return MessageFormat.format(signUpStatusEnum.getSignUpFailMsg(),objects);
    }


}
